Encoding ProfilesCreate Default Preset Profiles

Create Default Preset Profiles

These presets will be automatically added to your new zones.

curl -X POST "https://api.5centscdn.com/v2/transcoding/profiles/defaults" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "defaultprofiles": [
    "profileId1",
    "profileId2"
  ]
}'
{
  "result": "success",
  "message": "Transcoding Settings Updated"
}
POST
/transcoding/profiles/defaults
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
defaultprofilesarray

Array of profile IDs to set as default auto-apply presets. Should be profile IDs from GET /transcoding/file/profiles.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
defaultprofilesarray

Array of profile IDs to set as default auto-apply presets. Should be profile IDs from GET /transcoding/file/profiles.

Example:
["profileId1","profileId2"]

Responses

resultstring

API response status.

messagestring

Human-readable result or error message.